Last modified: 2005-09-06 11:38:52 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 3306 - Add a description of "$wgLocalTZoffset = ..." to DefaultSettings.php
Add a description of "$wgLocalTZoffset = ..." to DefaultSettings.php
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
http://meta.wikimedia.org/wiki/MediaW...
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2005-08-30 16:14 UTC by T. Gries
Modified: 2005-09-06 11:38 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description T. Gries 2005-08-30 16:14:21 UTC
Currently, this is a hidden but perhaps useful switch and can only be found by
experts when browsing Language.php.

I propose now to add a

* short description and a
* fail-safe default value directly in 

   DefaultSettings.php 

$wgLocalTZoffset = false; or
$wgLocalTZoffset = '0'; 
( the correct default will depend on the future layout of Language::userAdjust )


Regarding $wgLocalTZoffset see provisionally also
* http://bugzilla.wikipedia.org/show_bug.cgi?id=3305
*
http://meta.wikimedia.org/wiki/MediaWiki_FAQ#How_do_I_set_the_timezone_for_my_MediaWiki.3F
* http://mail.wikipedia.org/pipermail/mediawiki-l/2004-April/000357.html

Related is
* http://bugzilla.wikipedia.org/show_bug.cgi?id=505
Comment 1 T. Gries 2005-08-30 16:15:38 UTC
P.S. One month left to the next Daylight Saving Time change in many countries
Comment 2 T. Gries 2005-08-30 16:18:03 UTC
(In reply to comment #1)
> P.S. One month left to the next Daylight Saving Time change in many countries
s/One month/Two months/

How stupid, wrong information: I should have better studied
http://www.timeanddate.com/time/dst2005b.html
Sorry
Comment 3 Antoine "hashar" Musso (WMF) 2005-08-31 12:09:55 UTC
There is already a $wgLocaltimezone that should probably
be used instead of $wgLocalTZoffset
Comment 4 T. Gries 2005-08-31 12:38:20 UTC
(In reply to comment #3)
> There is already a $wgLocaltimezone that should probably
> be used instead of $wgLocalTZoffset

(In reply to comment #0)
Salut Ashar: certainly not:
as both are different variables, see Brions posting, which gives plenty of
background information

> Regarding $wgLocalTZoffset see provisionally also
> * http://mail.wikipedia.org/pipermail/mediawiki-l/2004-April/000357.html

and exactly the not-mentioning of $wgLocalTZoffset (in DefaultSettings.php)
puzzled me begin of 2005.
Tom
Comment 5 Brion Vibber 2005-09-02 05:49:55 UTC
Documentation comments added to DefaultSettings.php on REL1_5 and HEAD.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links